require('dotenv').config();

const path = require('path');
const { env } = process;
const option = {
  'config': path.resolve('src', 'config', 'sql.js'),
  'models-path': path.resolve('src', 'model', 'sql'),
  'seeders-path': path.resolve('migration', 'sql'),
  'migrations-path': path.resolve('migration', 'sql'),
  'debug': env.NODE_ENV !== 'production'
}

if (process.env.npm_lifecycle_script?.indexOf('sql:create') > -1) {
  Object.assign(option, {
    'charset': env.SQL_CHARSET,
    'collate': env.SQL_COLLATE,
    'encoding': env.SQL_ENCODING,
    // 'ctype': env.SQL_CTYPE,
    // 'template': env.SQL_TEMPLATE,
  })
}

module.exports = option;